%define basedir /usr
%define name cdb
%define version 0.75
%define release 1mdk

Name: %{name}
Version: %{version}
Release: %{release}
Group: Databases
URL: http://pobox.com/~djb/cdb.html
Copyright: Public Domain
Source: %{name}-%{version}.tar.bz2
Summary: Constant DataBase
Packager: Oden Eriksson <oden@kvikkjokk.com>
Buildroot: /var/tmp/%{name}-buildroot
Docdir: %{basedir}/doc

%description
cdb is a fast, reliable, lightweight package for creating and reading constant databases.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
echo "%{basedir}">conf-home
echo "gcc $RPM_OPT_FLAGS">conf-cc
echo "gcc $RPM_OPT_FLAGS -s">conf-ld
make

%install
install -d $RPM_BUILD_ROOT%{basedir}/{bin,doc}
install -m 755 cdbget cdbmake cdbdump cdbstats cdbtest \
	cdbmake-12 cdbmake-sv rts rts.tests testzero $RPM_BUILD_ROOT%{basedir}/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{basedir}/bin/*
%doc CHANGES README TODO SYSDEPS


%changelog
* Mon Apr 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.75-1mdk
- used srpm provided by Oden Eriksson <oden@kvikkjokk.com>

* Tue Mar 21 2000 Oden Eriksson <oden@kvikkjokk.com>
- Upgraded to 0.75

* Sat Oct 09 1999 Oden Eriksson <oden@kvikkjokk.com>
- Added cpu optimization

* Sun Feb 15 1998 Bruce Guenter <bruce.guenter@qcc.sk.ca>
 - as per the README file, the copyright is really public-domain

* Thu Oct 10 1997 Bruce Guenter <bruce.guenter@qcc.sk.ca>
 - added libcdbmakp.a, cdbmake.h, and uint32.h to devel package
